# Poco::Net

# class SSPINTLMCredentials

Library: Net
Package: NTLM
Header: Poco/Net/SSPINTLMCredentials.h

## Description

Support for NTLM authentication using credentials of the currently logged in user via SSPI.

## Member Summary

Member Functions: authenticate, available, createNTLMContext, negotiate

## Member Functions

### authenticate

static std::vector < unsigned char > authenticate(
NTLMContext & context,
const std::vector < unsigned char > & challenge
);

Creates the NTLM Type 3 Authenticate message used for sending the response to the challenge.

### available

static bool available();

Returns true if SSPI NTLM support is available.

### createNTLMContext

static Poco::SharedPtr < NTLMContext > createNTLMContext(
const std::string & host,
const std::string & service
);

Creates an NTLMContext structure for use with negotiate() and authenticate().

### negotiate

static std::vector < unsigned char > negotiate(
NTLMContext & context
);

Creates the NTLM Type 1 Negotiate message used for initiating NTLM authentication from the client.

## Variables

### SERVICE_HTTP

static const std::string SERVICE_HTTP;

### SERVICE_SMTP

static const std::string SERVICE_SMTP;